List withdrawals
curl --request GET \
--url https://api.kemycard.com/v1/wallets/withdrawals \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kemycard.com/v1/wallets/withdrawals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kemycard.com/v1/wallets/withdrawals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kemycard.com/v1/wallets/withdrawals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kemycard.com/v1/wallets/withdrawals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kemycard.com/v1/wallets/withdrawals")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kemycard.com/v1/wallets/withdrawals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": [
{
"code": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"wallet_code": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_code": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"idempotency_key": "<string>",
"blockchain": "solana",
"currency": "USDC",
"amount": 100,
"commission": 1.5,
"network_fee": 0.5,
"total_fee": 2,
"net_amount": 98,
"to_address": "<string>",
"status": "processing",
"tx_id": "<string>",
"requested_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"request_id": "a4f8e2c1b3d97056",
"mode": "test",
"timestamp": "2023-11-07T05:31:56Z"
},
"pagination": {
"page": 1,
"limit": 20,
"total": 42,
"pages": 3
}
}{
"success": false,
"error": {
"code": "PLAN_UPGRADE_REQUIRED",
"message": "This product is not included in the Découverte plan. Upgrade to a paid plan (Starter, Business or Premium) to use \"gift_cards\".",
"details": {
"plan": "decouverte",
"product": "gift_cards"
}
}
}{
"success": false,
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found.",
"details": null
}
}Wallets
List Withdrawals
Lists the withdrawals from the wallets of your customers, most recent first. Use wallet_code to get the
withdrawals of a single wallet. A withdrawal is requested with
POST /wallets/{code}/withdrawals.
Withdrawals made from your former collection account (before October 22, 2026) are also listed: their
wallet_code, customer_code and idempotency_key are null.
GET
/
wallets
/
withdrawals
List withdrawals
curl --request GET \
--url https://api.kemycard.com/v1/wallets/withdrawals \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kemycard.com/v1/wallets/withdrawals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kemycard.com/v1/wallets/withdrawals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kemycard.com/v1/wallets/withdrawals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kemycard.com/v1/wallets/withdrawals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kemycard.com/v1/wallets/withdrawals")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kemycard.com/v1/wallets/withdrawals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": [
{
"code": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"wallet_code": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_code": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"idempotency_key": "<string>",
"blockchain": "solana",
"currency": "USDC",
"amount": 100,
"commission": 1.5,
"network_fee": 0.5,
"total_fee": 2,
"net_amount": 98,
"to_address": "<string>",
"status": "processing",
"tx_id": "<string>",
"requested_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"request_id": "a4f8e2c1b3d97056",
"mode": "test",
"timestamp": "2023-11-07T05:31:56Z"
},
"pagination": {
"page": 1,
"limit": 20,
"total": 42,
"pages": 3
}
}{
"success": false,
"error": {
"code": "PLAN_UPGRADE_REQUIRED",
"message": "This product is not included in the Découverte plan. Upgrade to a paid plan (Starter, Business or Premium) to use \"gift_cards\".",
"details": {
"plan": "decouverte",
"product": "gift_cards"
}
}
}{
"success": false,
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found.",
"details": null
}
}